From c0a166d790d3494ce8e397c2f169463a66e66b26 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 16 2020 07:40:15 +0000
Subject: [PATCH 136/2232] Add error message to say Result is not implemented yet


---

diff --git a/syntax/check.rs b/syntax/check.rs
index ef3faff..80937bb 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -69,6 +69,12 @@ pub(crate) fn typecheck(apis: &[Api], types: &Types) -> Result<()> {
                         errors.push(return_by_value(ty, types));
                     }
                 }
+                if efn.throws {
+                    errors.push(Error::new_spanned(
+                        efn,
+                        "fallible functions are not implemented yet",
+                    ));
+                }
             }
             _ => {}
         }

